★ TouchArcade needs your help. Click here to support us on Patreon.

Crimson: Steam Pirates ~ Free

12-02-2011, 08:32 PM
#1
Joined: Feb 2010
Location: The Kᴉll Switch
Posts: 7,326
Crimson: Steam Pirates ~ Free



ıllıllı ȼ¥ǥɲƹƮȿƹ˅ƹɲ ıllıllı
DEVELOPERS I ADORE
CAT IN A BOX • QUANTUM SHEEP • CS54 • ONE MINUTE GAMES • ELEFTHERIOS CHRISTODOULATOS • RAVENOUS GAMES • ORANGE PIXEL • RADIANGAMES • CAVE • LLAMASOFT (RIP) • MADFINGER • PASTA GAMES • TOUCH FOO • KODE80
12-02-2011, 08:41 PM
#2
Joined: Dec 2010
Location: Houston, TX
Posts: 9,494
Insane... this is another reason why I am not buying any more apps till next year. No reason not to nab the IAP Chapter 3 here.

Last edited by undeadcow; 12-02-2011 at 08:45 PM.

12-02-2011, 09:44 PM
#3
Joined: Jun 2011
Location: Here
Posts: 1,399
Quote:
This app requires iOS 4.3
Why the heck do so many apps require this now??? It's not like there were really any major fixes in the 4.2.1 to 4.3 updates either, or that it's not just an annoying problem that might not just alienate 2nd gen owners, but also 4th gen owners like me (non jb as well) that never updated

I don't want a signature.
12-02-2011, 09:51 PM
#4
Joined: Jun 2010
Posts: 3,088
Quote:
Originally Posted by DodgerBlue016 View Post
Why the heck do so many apps require this now??? It's not like there were really any major fixes in the 4.2.1 to 4.3 updates either, or that it's not just an annoying problem that might not just alienate 2nd gen owners, but also 4th gen owners like me (non jb as well) that never updated
This game doesn't support 2nd gens anyway.

Betas: Victory Day, Victory March, Zombwich, Mission Europa, Shadow Era, Slice It!, Baseball Superstars 2011, Queen's Crown, Aralon: Sword and Shadow, Zombie Runaway, Third Blade, Tower Defense: Lost Earth
12-02-2011, 09:52 PM
#5
Joined: Jun 2011
Location: Here
Posts: 1,399
Quote:
Originally Posted by TiltMyTouch View Post
This game doesn't support 2nd gens anyway.
No, what I meant is more and more often people are using the "iOS 4.3" just to make sure 2nd gens can't download, while also making me (I'm an iTouch 4g owner, so it should easily work on my device) not be able to because I'm still on 4.2.1....

I don't want a signature.
12-02-2011, 10:17 PM
#6
Joined: Jul 2009
Location: Houston/Austin, TX
Posts: 13,251
Quote:
Originally Posted by DodgerBlue016 View Post
No, what I meant is more and more often people are using the "iOS 4.3" just to make sure 2nd gens can't download, while also making me (I'm an iTouch 4g owner, so it should easily work on my device) not be able to because I'm still on 4.2.1....
iOS 5.0.1 is already out. It's not like they're even asking for the latest iOS.

-----

In any case, definitely pick this up. Great TBS with a good amount of depth.

Twitter: @back2this
12-02-2011, 10:48 PM
#7
Joined: Apr 2011
Posts: 207
Wow! This was one of the apps on my wish list! Nice!
12-02-2011, 10:57 PM
#8
Joined: Jan 2011
Posts: 3,937
Highly recommended, I love the iPad version.

"Don't Do This Or You'll Get Banned"
—Unnecessary Sass Towards The Admins—
12-02-2011, 11:17 PM
#9
Joined: Jun 2011
Posts: 555
This one's a real doozie. Probably better on the iPad, but still...
12-03-2011, 06:15 AM
#10
sweet i got this on my ipad, dont know how it'll play on the smaller sceen of my touch

Playing: Ski Safari, Polara, Girls Like Robots, Dynamite Jack, Monster Flip, Polymer, Super Mole Escape, Dream of Pixels, Radballs